function [t] = tm_time(eta)
% Schwarzschild radial time-like geodesic
% Time coordinate in Schwarzschild space-time for radial 
% time-like geodesic with initianl condition for radius 
% r_i = 6M (energy E = sqrt(2/3)). (M = 1).
% eta is variable.
t = 6*sqrt(2) *((eta+sin(eta))/2 +eta/3) ...
    +2*log((tan(asin(sqrt(2/3))) +tan(eta/2)) ...
    ./(tan(asin(sqrt(2/3))) -tan(eta/2)));